curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/apps/{id}/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'{
"data": {
"manifest": {
"name": "<string>",
"image": {
"type": "build",
"build_source": {
"type": "remote",
"remote_uri": "<string>"
},
"build_spec": {
"type": "dockerfile",
"dockerfile_path": "./Dockerfile",
"build_context_path": "./",
"command": "<string>",
"build_args": {},
"build_secrets": [
{
"id": "<string>",
"value": "<string>",
"env": "<string>"
}
]
},
"docker_registry": "<string>"
},
"ports": [
{
"port": 80,
"protocol": "TCP",
"expose": true,
"app_protocol": "http",
"host": "<string>",
"path": "<string>",
"rewrite_path_to": "<string>",
"auth": {
"type": "basic_auth",
"username": "<string>",
"password": "<string>"
}
}
],
"type": "service",
"replicas": 1,
"env": null,
"service_account": "<string>",
"mounts": [
{
"type": "secret",
"mount_path": "<string>",
"secret_fqn": "<string>"
}
],
"labels": {},
"kustomize": {
"patch": {},
"additions": [
{}
]
},
"workspace_fqn": "<string>",
"allow_interception": false,
"rollout_strategy": {
"type": "rolling_update",
"max_unavailable_percentage": 25,
"max_surge_percentage": 25
}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"id": "<string>",
"version": 123,
"fqn": "<string>",
"applicationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentBuilds": [
{
"name": "<string>",
"status": 20
}
],
"deploymentStatuses": [
{
"id": "<string>",
"deploymentId": "<string>",
"status": "INITIALIZED",
"state": {},
"transition": "BUILDING",
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"currentStatusId": "<string>",
"currentStatus": {
"id": "<string>",
"deploymentId": "<string>",
"status": "INITIALIZED",
"state": {},
"transition": "BUILDING",
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"appliedRecommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdBy": "<string>"
}
}Get Deployment associated with the provided application ID and deployment ID.
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/apps/{id}/deployments/{deploymentId} \
--header 'Authorization: Bearer <token>'{
"data": {
"manifest": {
"name": "<string>",
"image": {
"type": "build",
"build_source": {
"type": "remote",
"remote_uri": "<string>"
},
"build_spec": {
"type": "dockerfile",
"dockerfile_path": "./Dockerfile",
"build_context_path": "./",
"command": "<string>",
"build_args": {},
"build_secrets": [
{
"id": "<string>",
"value": "<string>",
"env": "<string>"
}
]
},
"docker_registry": "<string>"
},
"ports": [
{
"port": 80,
"protocol": "TCP",
"expose": true,
"app_protocol": "http",
"host": "<string>",
"path": "<string>",
"rewrite_path_to": "<string>",
"auth": {
"type": "basic_auth",
"username": "<string>",
"password": "<string>"
}
}
],
"type": "service",
"replicas": 1,
"env": null,
"service_account": "<string>",
"mounts": [
{
"type": "secret",
"mount_path": "<string>",
"secret_fqn": "<string>"
}
],
"labels": {},
"kustomize": {
"patch": {},
"additions": [
{}
]
},
"workspace_fqn": "<string>",
"allow_interception": false,
"rollout_strategy": {
"type": "rolling_update",
"max_unavailable_percentage": 25,
"max_surge_percentage": 25
}
},
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"id": "<string>",
"version": 123,
"fqn": "<string>",
"applicationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentBuilds": [
{
"name": "<string>",
"status": 20
}
],
"deploymentStatuses": [
{
"id": "<string>",
"deploymentId": "<string>",
"status": "INITIALIZED",
"state": {},
"transition": "BUILDING",
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"currentStatusId": "<string>",
"currentStatus": {
"id": "<string>",
"deploymentId": "<string>",
"status": "INITIALIZED",
"state": {},
"transition": "BUILDING",
"message": "<string>",
"retryCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"appliedRecommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdBy": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Application id of the application
Deployment id of the deployment
Deployment details returned successfully.
Deployment
Show child attributes
Was this page helpful?